# $Revision: 1.7 $, $Date: 2009/09/23 11:37:24 $
Summary:	pthread library helper
Summary(pl.UTF-8):	Pakiet pomocniczy biblioteki pthread
Name:		libpthread-stubs
Version:	0.2
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	2ba9ce2d46da0a2a1090384ece3387ff
URL:		http://xcb.freedesktop.org/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides weak aliases for pthread functions not provided
in libc or otherwise available by default. Libraries like libxcb rely
on pthread stubs to use pthreads optionally, becoming thread-safe when
linked to libpthread, while avoiding any performance hit when running
single-threaded. libpthread-stubs supports this behavior even on
platforms which do not supply all the necessary pthread stubs. On
platforms which already supply all the necessary pthread stubs, this
package ships only the pkg-config file pthread-stubs.pc, to allow
libraries to unconditionally express a dependency on pthread-stubs and
still obtain correct behavior.

%description -l pl.UTF-8
Ta biblioteka udostępnia słabe aliasy dla funkcji pthread nie
dostarczane domyślnie przez libc lub w inny sposób. Biblioteki takie
jak libxcb polegają na zaślepkach pthread, aby opcjonalnie używać
wątków pthread i zachowywać się bezpiecznie w przypadku zlinkowania z
libpthread, a unikać narzutu czasowego przy działaniu jednowątkowym.
libpthread-stubs obsługuje to zachowanie nawet na platformach nie
udostępniających wszystkich potrzebnych zaślepek pthread. Na
platformach udostępniających wszystkie potrzebne zaślepki pthread ten
pakiet dostarcza jedynie plik pkg-configa pthread-stubs.pc pozwalający
bibliotekom bezwarunkowo zawierać zależność od pthread-stubs i nadal
zachowywać się prawidłowo.

%package devel
Summary:	Header files and develpment documentation for libpthread-stubs
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumetacja do libpthread-stubs
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and documentation for libpthread-stubs.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libpthread-stubs.

%package static
Summary:	Static libpthread-stubs library
Summary(pl.UTF-8):	Biblioteka statyczna libpthread-stubs
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the static library used for development.

%description static -l pl
Biblioteka statyczna libpthread-stubs.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_pkgconfigdir}/*.pc
%{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpthread-stubs.spec,v $
Revision 1.7  2009/09/23 11:37:24  arekm
- desc fix

Revision 1.6  2009/09/23 11:30:03  arekm
- up to 0.2; now it's real lib not just pc file (note, direct linking to -lpthread isn't solution, see README)

Revision 1.5  2008/07/27 23:03:45  arekm
- release 2

Revision 1.4  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/24 11:21:00  qboosh
- pl
- Group changed to Development/Libraries as there is no runtime on Linux

Revision 1.1  2006/11/24 10:55:38  arekm
- new
